#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		apuver		1
#-----------------------------------------------------------------------------
Name		:	apr-util
Version		:	1.6.3
Release		:	14.4.0.0%{?dist}
Summary		:	Apache Portable Runtime Utility library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	http://apr.apache.org/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	apr-devel
BuildRequires	:	autoconf
BuildRequires	:	gcc

Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
The mission of the Apache Portable Runtime (APR) project
is to create and maintain software libraries that provide
a predictable and consistent interface to underlying
platform-specific implementations. The primary goal is to
provide an API to which software developers may code and
be assured of predictable if not identical behaviour
regardless of the platform on which their software is built,
relieving them of the need to code special-case conditions
to work around or take advantage of platform-specific
deficiencies or features.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc LICENSE NOTICE README
%{_libdir}/libaprutil-%{apuver}.so.*
%{_libdir}/%{name}-%{apuver}/apr_*.so

#=============================================================================
%package		devel
Summary		:	APR utility library development kit

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}


#-----------------------------------------------------------------------------
%description		devel
This package provides the support files which can be
used to build applications using the APR utility library.
The mission of the Apache Portable Runtime (APR) is to
provide a free library of C data structures and routines.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/apu-1-config
%{_includedir}/apr-%{apuver}/apu*.h
%{_includedir}/apr-%{apuver}/apr_*.h
%{_libdir}/libaprutil-%{apuver}.so
%{_libdir}/pkgconfig/%{name}-%{apuver}.pc
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}/apr-%{apuver}	\
	--exec-prefix=%{_exec_prefix}			\
	--sysconfdir=%{_sysconfdir}			\
	--sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-apr=%{_prefix}				\
	--with-gdbm=%{_prefix}				\
	--with-openssl=%{_prefix}			\
	--with-pgsql=no					\
	--with-crypto					\

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
# Run the less verbose test suites
export MALLOC_CHECK_=2 MALLOC_PERTURB_=$(($RANDOM % 255 + 1))
pushd test
%{__make} testall
# testall breaks with DBD DSO; ignore
export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}/apr-util-%{apuver}
./testall -v -q
popd
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

# Unpackaged files:
%{__rm} 						\
	%{buildroot}%{_libdir}/aprutil.exp
#-----------------------------------------------------------------------------
%changelog
